import Vue from 'vue'
import Router from 'vue-router'
// import index from '@/page/index'
import layout from '@/page/Layout/layout.vue'


//报名缴费
// import transactionSignup from '@/page/transaction/registrationFee/transactionSignup/index.vue'
Vue.use(Router)
import mainFinancialIndex from '@/page/reportManage/mainFinancialIndex'
import abandonmentAssetsIndex from '@/page/reportManage/abandonmentAssetsIndex'
import commodityIndex from '@/page/reportManage/commodityIndex'
import provincialPriceIndex from '@/page/reportManage/provincialPriceIndex'
import inspectionSafetyIndex from '@/page/reportManage/inspectionSafetyIndex'
import grainInspectionSafetyIndex from '@/page/reportManage/grainInspectionSafetyIndex'
import conversionProductsIndex from '@/page/reportManage/conversionProductsIndex'
import productsEnterPriseIndex from '@/page/reportManage/productsEnterPriseIndex'
import overallLeadershipIndex from '@/page/reportManage/overallLeadershipIndex'
import index from '@/page/login/index'
export default new Router({
    // mode:'history',
    routes: [
        {
          path: '/login',
          name: 'login',
          component: index,
        },
        {
          path: '/reportManage',
          name: 'reportManage',
          component: layout,
          children:[
                {
                    path: '/decision/reportManage/mainFinancialIndex',
                    name: 'mainFinancialIndex',
                    component: mainFinancialIndex,
                    meta:{
                        title:'5国有粮食企业主要财务指标月报表'
                    }
                },
                {
                    path: '/decision/reportManage/abandonmentAssetsIndex',
                    name: 'abandonmentAssetsIndex',
                    component: abandonmentAssetsIndex,
                    meta:{
                        title:'固定资产报废'
                    }
                },
                {
                  path: '/decision/reportManage/commodityIndex',
                  name: 'commodityIndex',
                  component: commodityIndex,
                  meta:{
                      title:'商品粮油收支平衡统计表-分地区分企业性质'
                  }
                },
                {
                  path: '/decision/reportManage/provincialPriceIndex',
                  name: 'provincialPriceIndex',
                  component: provincialPriceIndex,
                  meta:{
                      title:'省级价格监测_成品粮油零售价格-分地区统计'
                  }
                },
                {
                  path: '/decision/reportManage/inspectionSafetyIndex',
                  name: 'inspectionSafetyIndex',
                  component: inspectionSafetyIndex,
                  meta:{
                      title:'安全生产检查情况汇总表'
                  }
                },
                {
                  path: '/decision/reportManage/grainInspectionSafetyIndex',
                  name: 'grainInspectionSafetyIndex',
                  component: grainInspectionSafetyIndex,
                  meta:{
                      title:'储粮安全检查情况汇总表'
                  }
                },
                {
                  path: '/decision/reportManage/conversionProductsIndex',
                  name: 'conversionProductsIndex',
                  component: conversionProductsIndex,
                  meta:{
                      title:'地区统计加工转化产品产量和加工转化产品期末库存'
                  }
                },
                {
                  path: '/decision/reportManage/productsEnterPriseIndex',
                  name: 'productsEnterPriseIndex',
                  component: productsEnterPriseIndex,
                  meta:{
                      title:'分企业统计加工转化产品产量和加工转化产品期末库存'
                  }
                },
              {
                  path: '/decision/reportManage/overallLeadershipIndex',
                  name: 'overallLeadershipIndex',
                  component: overallLeadershipIndex,
                  meta:{
                      title:'整体领导驾驶舱'
                  }
              }
            ]
        }
    ]
})
